Skip to main content
`Ctrl`+`K`

# STFilterGetRange

Gets the interval containing all eigenvalues.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterGetRange(ST st,PetscReal *left,PetscReal *right)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameters

- left - left end of the spectral range

- right - right end of the spectral range

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterSetRange()`

## Level

intermediate

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterGetRange_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages